import {createElement, createSidebarPage} from "../../_global/scripts/helpers";
import {createContact} from "../../components/contact/ContactComponent";
import {SingleContactData} from "../../components/contact/ContactData";
import {createLoginForm} from "../../components/login/LoginComponent";
import {lorem1} from "../../_global/scripts/lorem";

export const createLoginPage = ({

}) => {
  const page = createSidebarPage({breadcrumb: ['Start', 'Mitmachen', 'Aktuelle Beteiligungen']});
  const main = page.main;
  const aside = page.aside;

  createElement('h1', [], 'Aktuelle Beteiligungen', main);
  createElement('p', [], lorem1, main);
  main.appendChild(createLoginForm({}));

  aside.appendChild(createContact({headline: 'Kontakt', contacts: SingleContactData}));

  return page.page;
}